# cedana dump

Dump a container/process

## Options

```
      --compression string   compression algorithm (none, tar, gzip, lz4, zlib)
      --criu-opts string     criu options JSON (overriddes individual CRIU flags)
  -d, --dir string           directory to dump into
      --external strings     resources from external namespaces (can be multiple)
      --file-locks           dump file locks
  -h, --help                 help for dump
      --leave-running        leave the process running after dump
      --link-remap           remap links to files in the dump
      --name string          name of the dump
      --shell-job            process is not session leader (shell job)
      --skip-in-flight       skip in-flight tcp connections
      --streams int32        number of streams to use for dump (0 for no streaming)
      --tcp-established      dump tcp established connections
```

## Options inherited from parent commands

```
      --address string      address to use (host:port for TCP, path for UNIX, cid:port for VSOCK)
      --config string       one-time config JSON string (merge with existing config)
      --config-dir string   custom config directory
      --profiling           enable profiling/show profiling data
      --protocol string     protocol to use (TCP, UNIX, VSOCK)
```

## SEE ALSO

* [cedana](/daemon/references/cli/cedana.md) - Root command for Cedana
* [cedana dump containerd](/daemon/references/cli/cedana_dump_containerd.md) - Dump a containerd container (w/ rootfs)
* [cedana dump job](/daemon/references/cli/cedana_dump_job.md) - Dump a managed process/container (job)
* [cedana dump process](/daemon/references/cli/cedana_dump_process.md) - Dump a process
* [cedana dump runc](/daemon/references/cli/cedana_dump_runc.md) - Dump a runc container


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cedana.ai/daemon/references/cli/cedana_dump.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
